JFormattedTextField.AbstractFormatterFactory (Java Platform SE 8 )
Keywords: javax.swing.JFormattedTextField.AbstractFormatterFactory class
Date: 2023-01-18

javax.swing

## Class JFormattedTextField.AbstractFormatterFactory

- java.lang.Object
- - javax.swing.JFormattedTextField.AbstractFormatterFactory

- Direct Known Subclasses:
    DefaultFormatterFactory
  Enclosing class:
    JFormattedTextField

      public abstract static class JFormattedTextField.AbstractFormatterFactory
      extends Object

  Instances of `AbstractFormatterFactory` are used by `JFormattedTextField` to obtain instances of `AbstractFormatter` which in turn are used to format values. `AbstractFormatterFactory` can return different `AbstractFormatter`s based on the state of the `JFormattedTextField`, perhaps returning different `AbstractFormatter`s when the `JFormattedTextField` has focus vs when it doesn't have focus.
  Since:
    1.4

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractFormatterFactory()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract JFormattedTextField.AbstractFormatter` | `getFormatter(JFormattedTextField tf)` Returns an `AbstractFormatter` that can handle formatting of the passed in `JFormattedTextField`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractFormatterFactory

          public AbstractFormatterFactory()

  - ### Method Detail

    - #### getFormatter

          public abstract JFormattedTextField.AbstractFormatter getFormatter(JFormattedTextField tf)

      Returns an `AbstractFormatter` that can handle formatting of the passed in `JFormattedTextField`.
      Parameters:
        `tf` - JFormattedTextField requesting AbstractFormatter
      Returns:
        AbstractFormatter to handle formatting duties, a null return value implies the JFormattedTextField should behave like a normal JTextField

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2023, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.